#!/usr/bin/env python

import sys
from PyTQt.tqt import *

from form2 import Form2
from dbconnect import createConnection

class mainWindow(Form2):
    def __init__(self,parent = None,name = None,fl = 0):
        Form2.__init__(self,parent,name,fl)

if __name__ == "__main__":
    a = TQApplication(sys.argv)
    if createConnection():
        TQObject.connect(a,TQ_SIGNAL("lastWindowClosed()"),a,TQ_SLOT("quit()"))
        w = mainWindow()
        a.setMainWidget(w)
        w.show()
        a.exec_loop()

